﻿using Infragistics.UltraChart.Data.Series;
using Infragistics.UltraChart.Resources.Appearance;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RemoveChartSeries
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            NumericSeries numericSeries1 = new NumericSeries();
            numericSeries1.Key = "series1";
            this.ultraChart1.CompositeChart.Series.AddRange(new ISeries[] {
            numericSeries1});
            
            this.ultraChart1.DataSource = GetColumnData();
            this.ultraChart1.DataBind();
            
            this.ultraChart1.Series.Remove(numericSeries1);
            MessageBox.Show(this.ultraChart1.Series.Count.ToString());
            
        }

        private DataTable GetColumnData()
        {
            DataTable mydata = new DataTable();
            // Define the columns and their names
            mydata.Columns.Add("Series Labels", typeof(string));
            mydata.Columns.Add("Column A", typeof(int));
            mydata.Columns.Add("Column B", typeof(int));
            mydata.Columns.Add("Column C", typeof(int));
            mydata.Columns.Add("Column D", typeof(int));
            // Add the rows of data
            mydata.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });
            mydata.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
            mydata.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
            mydata.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });
            return mydata;
        }
    }
}
